summaryrefslogtreecommitdiff
path: root/net:foret
diff options
context:
space:
mode:
authorHugues Hiegel <hugues.hiegel@qosmos.com>2012-06-15 12:28:54 +0200
committerHugues Hiegel <hugues.hiegel@qosmos.com>2012-06-15 12:28:54 +0200
commitcd61d63e1197f81bdf9a27de402f6cfc207f9816 (patch)
treed9c0583aa7e6892a26aa89cde71b98f18ead90f8 /net:foret
parentf65a7cc38905ad74c0d398cd165b7454f00d4b2d (diff)
[Prompts] NEVER exits on widgets !
Diffstat (limited to 'net:foret')
-rw-r--r--net:foret/Prompts.zsh10
1 files changed, 5 insertions, 5 deletions
diff --git a/net:foret/Prompts.zsh b/net:foret/Prompts.zsh
index 4bfa3d7..2f75891 100644
--- a/net:foret/Prompts.zsh
+++ b/net:foret/Prompts.zsh
@@ -27,7 +27,7 @@ __static_dynamic ()
__compilation_arch ()
{
- [ -n "$ARCH" ] || exit
+ [ -n "$ARCH" ] || return
echo -n $C_
export | grep -q '^ARCH=' && echo -n "1;"
echo -n $_make_colors[target]$_C$ARCH
@@ -35,7 +35,7 @@ __compilation_arch ()
__compilation_os ()
{
- [ -n "$OS" ] || exit
+ [ -n "$OS" ] || return
echo -n $C_
export | grep -q '^OS=' && echo -n "1;"
echo -n $_make_colors[target]$_C$OS
@@ -43,7 +43,7 @@ __compilation_os ()
__compilation_target ()
{
- [ -n "$TARGET" ] || exit
+ [ -n "$TARGET" ] || return
echo -n $C_
export | grep -q '^TARGET=' && echo -n "1;"
echo -n $_make_colors[target]$_C$TARGET
@@ -51,7 +51,7 @@ __compilation_target ()
__verbose_compilation ()
{
- [ -n "$V" -a "$V" -gt 0 ] || exit
+ [ -n "$V" -a "$V" -gt 0 ] || return
echo -n $C_
export | grep -q '^V=' && echo -n "1;"
echo -n $_make_colors[verbose]$_C$(for i in {1..$V} ; echo -n -n "V")
@@ -68,7 +68,7 @@ __nproc_compilation ()
}
__makeflags ()
{
- [ -z "$MAKEFLAGS" ] && exit
+ [ -z "$MAKEFLAGS" ] && return
echo -n $C_
export | grep -q '^MAKEFLAGS=' && echo -n "1;"
echo -n $_prompt_colors[soft_generic]";3"$_C${MAKEFLAGS// -/}